ru.bitel.bgbilling.modules.cerbercrypt.common.bean

## Class UserDevice

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.common.model.IdTitle
    - - ru.bitel.bgbilling.modules.cerbercrypt.common.bean.UserDevice

- All Implemented Interfaces:
    java.io.Serializable, Idable, ListItem

      public class UserDevice
      extends IdTitle

  Устройство юзера. привязывается к user_card и имеет какой-то дополнительный конфиг, который отдаётся в активаторъ.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.model.IdTitle

      `title`

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserDevice()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getComment()`
    `java.lang.String` | `getConfig()`
    `void` | `setComment(java.lang.String comment)`
    `void` | `setConfig(java.lang.String config)`

    - ### Methods inherited from class ru.bitel.common.model.IdTitle

      `getTitle, setTitle, toString`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface ru.bitel.common.model.ListItem

      `getId`

- - ### Constructor Detail

    - #### UserDevice

          public UserDevice()

  - ### Method Detail

    - #### getComment

          public java.lang.String getComment()

    - #### setComment

          public void setComment(java.lang.String comment)

    - #### getConfig

          public java.lang.String getConfig()

    - #### setConfig

          public void setConfig(java.lang.String config)